Bug 72781 - gdm shrinking font
Summary: gdm shrinking font
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gdm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-27 19:03 UTC by Havoc Pennington
Modified: 2007-04-18 16:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 22:49:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Havoc Pennington 2002-08-27 19:03:00 UTC
gdm 2.4.0.7-6 seems to have introduced a smaller font size.

Comment 1 Elliot Lee 2002-08-28 13:31:04 UTC
Weird thing is, none of my patches/spec file changes should have related even remotely to 
font size. I also can't see any obvious way that the font size would be configured - 
Bluecurve.xml has no font thing for user-pw-entry, and there doesn't appear to be anything 
in the code to set the font either.

If anyone has more insights before I start digging, yell.

Comment 2 Havoc Pennington 2002-08-28 14:28:29 UTC
Maybe we somehow introduced a change in the DPI that gtk is picking up?
(just throwing out random ideas)

Comment 3 Owen Taylor 2002-08-28 15:49:49 UTC
An 'xrdb -q' on the display where gdm is running would be a good 
first step.

Comment 4 Preston Brown 2002-08-28 16:55:34 UTC
Xft.dpi: 96 
Xft.hinting: false 


Comment 5 Havoc Pennington 2002-08-28 22:26:16 UTC
2.4.0.7-8 puts /usr/X11R6/bin back in the path, should fix for now

Comment 6 Havoc Pennington 2002-08-28 22:49:12 UTC
Note, gdm.conf is now noreplace so you won't get the fix by default.

I don't like the noreplace thing. What if we have a security problem in
gdm.conf? Plus there are lots of things that will just break on upgrade with
noreplace.
But not really related to this bug, except that when testing you need to move
.rpmnew over the old file.

Comment 7 Jay Turner 2002-09-03 14:46:48 UTC
'noreplace' confirmed removed with gdm-2.4.0.7-10.  In addition, confirmed that
the path is back in.


Note You need to log in before you can comment on or make changes to this bug.